import java.util.Scanner;

class CommandLineCounter {
  
  public static void main(String[] args) {
    Scanner input = new Scanner(System.in);
    Counter counter = new Counter();
    boolean finished = false;
    
    System.out.println("Welcome to the Counter Tester.");
    System.out.print("Choose q(uit), i(crement), r(eset), or p(rint): ");
    while (!finished && input.hasNextLine()) { 
      String s = input.nextLine().trim();
      
      if (s.equals("q")) {
        finished = true;
      } else if (s.equals("i")) {
        counter.increment();
      } else if (s.equals("r")) {
        counter.reset();
      } else if (s.equals("p")) {
        System.out.println(counter.getCount());
      } else {
        System.out.println("Unknown command: \'"
                             + s + "\'");
      }
      System.out.print("Choose q(uit), i(crement), r(eset), or p(rint): ");
    }
    System.out.println("Goodbye");
  }
}
